conf_reg(plugins.hid_gtk.listen,              scalar, CFN_BOOLEAN,     "plugins/hid_gtk",        "listen",                 "Listen for actions on stdin.", CFF_USAGE)
conf_reg(plugins.hid_gtk.bg_image,            scalar, CFN_STRING,      "plugins/hid_gtk",        "bg_image",               "File name of an image to put into the background of the GUI canvas. The image is read via GdkPixbuf library. It can be any size, and will be automatically scaled to fit the canvas.", CFF_USAGE)
conf_reg(plugins.hid_gtk.compact_horizontal,  scalar, CFN_BOOLEAN,     "plugins/hid_gtk",        "compact_horizontal",     "<compact_horizontal>", 0)
conf_reg(plugins.hid_gtk.compact_vertical,    scalar, CFN_BOOLEAN,     "plugins/hid_gtk",        "compact_vertical",       "<compact_vertical>", 0)
conf_reg(plugins.hid_gtk.use_command_window,  scalar, CFN_BOOLEAN,     "plugins/hid_gtk",        "use_command_window",     "<use_command_window>", 0)
conf_reg(plugins.hid_gtk.history_size,        scalar, CFN_INTEGER,     "plugins/hid_gtk",        "history_size",           "<history_size>", 0)
conf_reg(plugins.hid_gtk.n_mode_button_columns, scalar, CFN_INTEGER,     "plugins/hid_gtk",        "n_mode_button_columns",  "<n_mode_button_columns>", 0)
conf_reg(plugins.hid_gtk.local_grid.enable,   scalar, CFN_BOOLEAN,     "plugins/hid_gtk/local_grid", "enable",                 "enable local grid to draw grid points only in a small radius around the crosshair - speeds up software rendering on large screens", 0)
conf_reg(plugins.hid_gtk.local_grid.radius,   scalar, CFN_INTEGER,     "plugins/hid_gtk/local_grid", "radius",                 "radius, in number of grid points, around the local grid", 0)
conf_reg(plugins.hid_gtk.global_grid.min_dist_px, scalar, CFN_INTEGER,     "plugins/hid_gtk/global_grid", "min_dist_px",            "never try to draw a grid so dense that the distance between grid points is smaller than this", 0)
conf_reg(plugins.hid_gtk.global_grid.sparse,  scalar, CFN_BOOLEAN,     "plugins/hid_gtk/global_grid", "sparse",                 "enable drawing sparse grid: when zoomed out beyond min_dist_px draw every 2nd, 4th, 8th, etc. grid point; if disabled the grid is turned off when it'd get too dense", 0)
conf_reg(plugins.hid_gtk.auto_save_window_geometry.to_design, scalar, CFN_BOOLEAN,     "plugins/hid_gtk/auto_save_window_geometry", "to_design",              "<to_design>", 0)
conf_reg(plugins.hid_gtk.auto_save_window_geometry.to_project, scalar, CFN_BOOLEAN,     "plugins/hid_gtk/auto_save_window_geometry", "to_project",             "<to_project>", 0)
conf_reg(plugins.hid_gtk.auto_save_window_geometry.to_user, scalar, CFN_BOOLEAN,     "plugins/hid_gtk/auto_save_window_geometry", "to_user",                "<to_user>", 0)
conf_reg(plugins.hid_gtk.window_geometry.top_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "top_x",                  "<top_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.top_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "top_y",                  "<top_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.top_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "top_width",              "<top_width>", 0)
conf_reg(plugins.hid_gtk.window_geometry.top_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "top_height",             "<top_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.log_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "log_x",                  "<log_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.log_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "log_y",                  "<log_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.log_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "log_width",              "<log_width>", 0)
conf_reg(plugins.hid_gtk.window_geometry.log_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "log_height",             "<log_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.drc_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "drc_x",                  "<drc_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.drc_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "drc_y",                  "<drc_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.drc_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "drc_width",              "<drc_width>", 0)
conf_reg(plugins.hid_gtk.window_geometry.drc_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "drc_height",             "<drc_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.library_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "library_x",              "<library_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.library_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "library_y",              "<library_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.library_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "library_width",          "<library_width>", 0)
conf_reg(plugins.hid_gtk.window_geometry.library_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "library_height",         "<library_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.keyref_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "keyref_x",               "<keyref_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.keyref_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "keyref_y",               "<keyref_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.keyref_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "keyref_width",           "<keyref_width>", 0)
conf_reg(plugins.hid_gtk.window_geometry.keyref_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "keyref_height",          "<keyref_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.netlist_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "netlist_x",              "<netlist_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.netlist_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "netlist_y",              "<netlist_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.netlist_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "netlist_height",         "<netlist_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.netlist_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "netlist_width",          "<netlist_width>", 0)
conf_reg(plugins.hid_gtk.window_geometry.pinout_x, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "pinout_x",               "<pinout_x>", 0)
conf_reg(plugins.hid_gtk.window_geometry.pinout_y, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "pinout_y",               "<pinout_y>", 0)
conf_reg(plugins.hid_gtk.window_geometry.pinout_height, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "pinout_height",          "<pinout_height>", 0)
conf_reg(plugins.hid_gtk.window_geometry.pinout_width, scalar, CFN_INTEGER,     "plugins/hid_gtk/window_geometry", "pinout_width",           "<pinout_width>", 0)
